Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class ClusteredRemoting

    java.lang.Object
      org.jboss.aspects.remoting.ClusteredRemoting

All Implemented Interfaces:
  ClusterConstants

public class ClusteredRemoting
extends Object
implements ClusterConstants

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.aspects.remoting.ClusterConstants
`CLUSTER_FAMILY, CLUSTER_FAMILY_WRAPPER, CLUSTER_VIEW_ID, CLUSTERED_REMOTING, FAILOVER_COUNTER, HA_TARGET, LOADBALANCE_POLICY`

Constructor Summary
`ClusteredRemoting()`

Method Summary
`static org.jboss.aop.proxy.ClassProxy` | `clusterRegisteredObject(Object objectId, String partitionName, org.jboss.ha.framework.interfaces.LoadBalancePolicy lb, org.jboss.remoting.InvokerLocator locator)`
`static org.jboss.aop.proxy.ClassProxy` | `clusterRegisteredObject(Object objectId, String partitionName, org.jboss.ha.framework.interfaces.LoadBalancePolicy lb, String uri)`
`static org.jboss.aop.proxy.ClassProxy` | `registerClusteredObject(Object objectId, Object obj, String partitionName, org.jboss.ha.framework.interfaces.LoadBalancePolicy lb, org.jboss.remoting.InvokerLocator locator)`
`static org.jboss.aop.proxy.ClassProxy` | `registerClusteredObject(Object objectId, Object obj, String partitionName, org.jboss.ha.framework.interfaces.LoadBalancePolicy lb, String uri)`
`static void` | `unregisterClusteredObject(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredRemoting

    public ClusteredRemoting()

Method Detail

### clusterRegisteredObject

    public static org.jboss.aop.proxy.ClassProxy clusterRegisteredObject(Object objectId,
                                                                         String partitionName,
                                                                         org.jboss.ha.framework.interfaces.LoadBalancePolicy lb,
                                                                         String uri)
                                                                  throws Exception

  Throws:
    `Exception`

### clusterRegisteredObject

    public static org.jboss.aop.proxy.ClassProxy clusterRegisteredObject(Object objectId,
                                                                         String partitionName,
                                                                         org.jboss.ha.framework.interfaces.LoadBalancePolicy lb,
                                                                         org.jboss.remoting.InvokerLocator locator)
                                                                  throws Exception

  Throws:
    `Exception`

### registerClusteredObject

    public static org.jboss.aop.proxy.ClassProxy registerClusteredObject(Object objectId,
                                                                         Object obj,
                                                                         String partitionName,
                                                                         org.jboss.ha.framework.interfaces.LoadBalancePolicy lb,
                                                                         String uri)
                                                                  throws Exception

  Throws:
    `Exception`

### registerClusteredObject

    public static org.jboss.aop.proxy.ClassProxy registerClusteredObject(Object objectId,
                                                                         Object obj,
                                                                         String partitionName,
                                                                         org.jboss.ha.framework.interfaces.LoadBalancePolicy lb,
                                                                         org.jboss.remoting.InvokerLocator locator)
                                                                  throws Exception

  Throws:
    `Exception`

### unregisterClusteredObject

    public static void unregisterClusteredObject(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.